Welcome, Guest. Please login or register.
Did you miss your activation email?

Author Topic:  [done] Atention/ Achtung be carefull a perl-transition is going on  (Read 2292 times)

Offline edlin

  • User
  • Posts: 541
There are no problems here either (KDE/Pasma, X11):
Code: [Select]
apt policy perl diffstat clamav
perl:
  Installiert:           5.38.2-3
  Installationskandidat: 5.38.2-3
  Versionstabelle:
 *** 5.38.2-3 500
        500 https://deb.debian.org/debian testing/main amd64 Packages
        500 http://ftp.de.debian.org/debian unstable/main amd64 Packages
        500 http://ftp.hosteurope.de/mirror/ftp.debian.org/debian trixie/main amd64 Packages
        100 /var/lib/dpkg/status
diffstat:
  Installiert:           1.65-1
  Installationskandidat: 1.65-1
  Versionstabelle:
 *** 1.65-1 500
        500 https://deb.debian.org/debian testing/main amd64 Packages
        500 http://ftp.de.debian.org/debian unstable/main amd64 Packages
        500 http://ftp.hosteurope.de/mirror/ftp.debian.org/debian trixie/main amd64 Packages
        100 /var/lib/dpkg/status
clamav:
  Installiert:           1.0.4+dfsg-1
  Installationskandidat: 1.0.4+dfsg-1
  Versionstabelle:
 *** 1.0.4+dfsg-1 500
        500 http://ftp.de.debian.org/debian unstable/main amd64 Packages
        100 /var/lib/dpkg/status
     1.0.3+dfsg-2+b1 500
        500 https://deb.debian.org/debian testing/main amd64 Packages
        500 http://ftp.hosteurope.de/mirror/ftp.debian.org/debian trixie/main amd64 Packages
edlin
Der Kluge lernt aus allem und von jedem,
der Normale aus seinen Erfahrungen
und der Dumme weiß alles besser.

Sokrates

Offline hendrikL

  • Administrator
  • User
  • *****
  • Gravatar
  • Posts: 933
https://release.debian.org/transitions/

I don't consider it done. Here's what I got a few minutes ago when attempting a full-upgrade; clamav and other pkgs marked as no longer required:

Code: [Select]
The following packages were automatically installed and are no longer required:
  clamav clamav-base clamav-freshclam diffstat libaliased-perl libapt-pkg-perl
  libarray-intspan-perl libberkeleydb-perl libcairo-gobject-perl libcairo-perl
  libcapture-tiny-perl libclamav11 libconfig-tiny-perl libdata-dpath-perl
  libdata-messagepack-perl libdata-validate-domain-perl libdata-validate-ip-perl
  libdata-validate-uri-perl libdevel-size-perl libemail-address-xs-perl
  libextutils-depends-perl libfeature-compat-try-perl libfont-ttf-perl
  libfreezethaw-perl libglib-perl libhtml-html5-entities-perl
  libio-interactive-perl libipc-run3-perl libiterator-perl libiterator-util-perl
  liblist-someutils-perl liblist-someutils-xs-perl liblist-utilsby-perl
  libmarkdown2 libmath-base85-perl libmldbm-perl libmoox-aliases-perl libmspack0
  libnet-domain-tld-perl libnet-ipv6addr-perl libnet-netmask-perl
  libnetaddr-ip-perl libpath-iterator-rule-perl libperl5.36 libperlio-gzip-perl
  libperlio-utf8-strict-perl libpod-constants-perl libpod-parser-perl
  libproc-processtable-perl libre-engine-re2-perl libregexp-pattern-license-perl
  libregexp-pattern-perl libregexp-wildcards-perl libsereal-decoder-perl
  libsereal-encoder-perl libset-intspan-perl libstring-copyright-perl
  libstring-escape-perl libsyntax-keyword-try-perl libtext-csv-perl
  libtext-csv-xs-perl libtext-levenshteinxs-perl libtext-markdown-discount-perl
  libtime-moment-perl libwww-mechanize-perl libxs-parse-keyword-perl
  libxs-parse-sublike-perl linux-image-6.6.8-amd64 perl-modules-5.36 t1utils
Use 'sudo apt autoremove' to remove them.
The following packages will be REMOVED:
  clamtk libfeature-compat-class-perl libglib-object-introspection-perl
  libgtk3-perl libmouse-perl libobject-pad-perl libstring-license-perl
  libtext-xslate-perl licensecheck lintian
The following NEW packages will be installed:
  libperl5.38 perl-modules-5.38
The following packages have been kept back:
  libllvm17
The following packages will be upgraded:
  dirmngr gpg gpg-agent gpg-wks-client gpg-wks-server gpgconf gpgsm
  libalgorithm-diff-xs-perl libapt-pkg-perl libb-hooks-op-check-perl
  libberkeleydb-perl libbit-vector-perl libcairo-gobject-perl libcairo-perl
  libclass-c3-xs-perl libclass-xsaccessor-perl libclone-perl libcommon-sense-perl
  libcpanel-json-xs-perl libcrypt-ssleay-perl libdata-messagepack-perl
  libdate-calc-xs-perl libdatetime-perl libdevel-callchecker-perl
  libdevel-caller-perl libdevel-lexalias-perl libdevel-size-perl
  libemail-address-xs-perl libencode-perl libfcgi-perl libfile-fcntllock-perl
  libglib-perl libhtml-parser-perl libimage-magick-q16-perl libindirect-perl
  libio-compress-brotli-perl libio-pty-perl libjson-parse-perl libjson-xs-perl
  liblist-moreutils-xs-perl liblist-someutils-xs-perl liblocale-gettext-perl
  libmatch-simple-xs-perl libmath-random-isaac-xs-perl libnet-dbus-perl
  libnet-ssleay-perl libnetaddr-ip-perl libpackage-stash-xs-perl libpadwalker-perl
  libparams-classify-perl libparams-util-perl libperl5.36 libperlio-gzip-perl
  libperlio-utf8-strict-perl libproc-processtable-perl libre-engine-re2-perl
  libref-util-xs-perl libsereal-decoder-perl libsereal-encoder-perl libsnmp40
  libsocket6-perl libsub-identify-perl libsub-name-perl libsyntax-keyword-try-perl
  libsys-cpuaffinity-perl libterm-readkey-perl libtext-charwidth-perl
  libtext-csv-xs-perl libtext-iconv-perl libtext-levenshteinxs-perl
  libtext-markdown-discount-perl libtime-moment-perl libtype-tiny-xs-perl
  libunicode-map-perl libunicode-utf8-perl libvariable-magic-perl libwant-perl
  libxml-libxml-perl libxml-parser-perl libxs-parse-keyword-perl
  libxs-parse-sublike-perl libxstring-perl libyaml-libyaml-perl perl perl-base
  snmp
86 upgraded, 2 newly installed, 10 to remove and 1 not upgraded.
Need to get 26.4 MB of archives.
After this operation, 39.4 MB of additional disk space will be used.

The Perl transition is over, ok 99.5%, 3 packages are left.
What you can do is to run "apt update than apt upgrade", that should be safe for now.

Then check what is left over, maybe it is Perl, perhaps not.

I have checked clamav,

Code: [Select]
LANG=C apt -s install clamav clamtk libfeature-compat-class-perl libglib-object-introspection-perl
NOTE: This is only a simulation!
      apt needs root privileges for real execution.
      Keep also in mind that locking is deactivated,
      so don't depend on the relevance to the real current situation!
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
libfeature-compat-class-perl is already the newest version (0.06-1).
libfeature-compat-class-perl set to manually installed.
libglib-object-introspection-perl is already the newest version (0.051-1+b1).
libglib-object-introspection-perl set to manually installed.
The following additional packages will be installed:
  clamav-base clamav-freshclam libclamav11 libencode-perl libmspack0 libtext-csv-perl libtext-csv-xs-perl
Suggested packages:
  libclamunrar clamav-docs apparmor cabextract clamtk-gnome libclamunrar11
The following NEW packages will be installed:
  clamav clamav-base clamav-freshclam clamtk libclamav11 libencode-perl libmspack0 libtext-csv-perl libtext-csv-xs-perl
0 upgraded, 9 newly installed, 0 to remove and 0 not upgraded.
[...]
So, here™ is no problem and nothing to be removed!

« Last Edit: 2024/01/21, 16:23:04 by hendrikL »

Offline tranquil

  • User
  • Posts: 111
What you can do is to run "apt update than apt upgrade", that should be safe for now.

Then check what is left over, maybe it is Perl, perhaps not.

First, perhaps the issue has resolved itself. I successfully upgraded Debian Unstable on my desktop today without issue.

Second, I did run apt update apt upgrade (on my laptop) and I got the following (nothing to upgrade or install):

Code: [Select]
The following package was automatically installed and is no longer required:
  linux-image-6.6.8-amd64
Use 'sudo apt autoremove' to remove it.
The following packages have been kept back:
  dirmngr gpg gpg-agent gpg-wks-client gpg-wks-server gpgconf gpgsm
  libalgorithm-diff-xs-perl libapt-pkg-perl libb-hooks-op-check-perl
  libberkeleydb-perl libbit-vector-perl libcairo-gobject-perl libcairo-perl
  libclass-c3-xs-perl libclass-xsaccessor-perl libclone-perl libcommon-sense-perl
  libcpanel-json-xs-perl libcrypt-ssleay-perl libdata-messagepack-perl
  libdate-calc-xs-perl libdatetime-perl libdevel-callchecker-perl
  libdevel-caller-perl libdevel-lexalias-perl libdevel-size-perl
  libemail-address-xs-perl libencode-perl libfcgi-perl libfile-fcntllock-perl
  libglib-perl libhtml-parser-perl libimage-magick-q16-perl libindirect-perl
  libio-compress-brotli-perl libio-pty-perl libjson-parse-perl libjson-xs-perl
  liblist-moreutils-xs-perl liblist-someutils-xs-perl libllvm17
  liblocale-gettext-perl libmatch-simple-xs-perl libmath-random-isaac-xs-perl
  libnet-dbus-perl libnet-ssleay-perl libnetaddr-ip-perl libobject-pad-perl
  libpackage-stash-xs-perl libpadwalker-perl libparams-classify-perl
  libparams-util-perl libperl5.36 libperlio-gzip-perl libperlio-utf8-strict-perl
  libproc-processtable-perl libre-engine-re2-perl libref-util-xs-perl
  libsereal-decoder-perl libsereal-encoder-perl libsnmp40 libsocket6-perl
  libsub-identify-perl libsub-name-perl libsyntax-keyword-try-perl
  libsys-cpuaffinity-perl libterm-readkey-perl libtext-charwidth-perl
  libtext-csv-xs-perl libtext-iconv-perl libtext-levenshteinxs-perl
  libtext-markdown-discount-perl libtime-moment-perl libtype-tiny-xs-perl
  libunicode-map-perl libunicode-utf8-perl libvariable-magic-perl libwant-perl
  libxml-libxml-perl libxml-parser-perl libxs-parse-keyword-perl
  libxs-parse-sublike-perl libxstring-perl libyaml-libyaml-perl perl perl-base
  snmp
0 upgraded, 0 newly installed, 0 to remove and 88 not upgraded.

The following packages will be REMOVED:
  linux-image-6.6.8-amd64*
0 upgraded, 0 newly installed, 1 to remove and 88 not upgraded.
After this operation, 99.4 MB disk space will be freed.
Dual-booting Debian Stable and Unstable with Openbox window manager and Tint2 panel.